summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2010-05-10 00:46:08 +0000
committerKarl Berry <karl@freefriends.org>2010-05-10 00:46:08 +0000
commitbc1ba29e1fe34f06a26ba272b653155d30461bd5 (patch)
tree5b02cf0930bce2a88b5ba3482b5de10d5b7fe9c8
parent10776d4f536a55cb89a5c3c9d58a1a618e01ffdd (diff)
interim commit
git-svn-id: svn://tug.org/texlive/trunk@18175 c570f23f-e606-0410-a88d-b1316a301751
-rwxr-xr-xMaster/tlpkg/bin/tl-update-images46
1 files changed, 34 insertions, 12 deletions
diff --git a/Master/tlpkg/bin/tl-update-images b/Master/tlpkg/bin/tl-update-images
index 60c8769fa24..3a731a9dccc 100755
--- a/Master/tlpkg/bin/tl-update-images
+++ b/Master/tlpkg/bin/tl-update-images
@@ -16,7 +16,8 @@
#
# From 2004-2007, we also produced:
# b) inst: compressed zip files and installer only (CD)
-# but this was dropped in 2008, and restored in 2010 (for DVD).
+# but this was dropped in 2008, and restored in a different form in 2010
+# for DVD.
#
# Until 2010, we also produced:
# a) live: full live distribution which can be run as is (CD/DVD)
@@ -40,7 +41,7 @@ D=`date +%Y%m%d`
debug=${OVERRIDE_DEBUG-false}
target=/home/ftp/texlive/Images/test
quiet= # for passing to mkisofs
-makelive=true
+makeinst=true
maketar=true
mkisofs=mkisofs
@@ -50,7 +51,7 @@ while test $# -gt 0; do
--help) echo "$0: No help, use the source, sorry."; exit 0;;
--master=*) master=`echo $1 | sed 's/.*=//'`;;
--mkisofs=*) mkisofs=`echo $1 | sed 's/.*=//'`;;
- --nolive) makelive=false;;
+ --noinst) makeinst=false;;
--notar) maketar=false;;
--quiet) quiet=-quiet;;
--target=*) target=`echo $1 | sed 's/.*=//'`;;
@@ -69,22 +70,40 @@ mkdir -p $target
# From the days when we made multiple images. Keep it factored out in
# case they come back.
common_mkisofs_options=" $quiet -pad -J -dir-mode 0755 -r \
- -copyright LICENSE.TL \
+ -copyright $master/LICENSE.TL \
-x .svn \
"
#
-MAKELIVE ()
+MAKEINST ()
{
prefix=$target/$NAME$V # directory and prefix for our files within
- live_iso=$prefix-$D.iso
- echo "-- `date` Writing live image to $live_iso."
+ iso=$prefix-$D.iso
+ echo "-- `date` Writing image to $iso."
# remove old images and checksums.
rm -f $prefix-*.iso* $prefix-*.md5 $prefix-*.sha256
- # The Master directory is the image.
- (cd $master && mkisofs $common_mkisofs_options -o $live_iso .) || return
+ # the image consists of the tlnet tree and the top-level files
+ # from master, more or less.
+ imgdir=${prefix}imgtmp
+ rm -rf $imgdir
+ mkdir $imgdir
+
+ # files from master. intentionally skip dirs.
+ cp -p $master/* $imgdir 2>/dev/null || true
+ cp -pr $master/readme* $master/source $imgdir
+
+ # files from tlnet.
+ cd /home/ftp/texlive/tlnet
+ cp -pr install-tl *.bat tlpkg archive $imgdir
+
+ cd $imgdir || exit 1
+ rm doc.html
+ #mkisofs $common_mkisofs_options -o $iso .
+false # xxdebug
+
+ rm -rf $imgdir
# also make compressed version, helps people downloading test images.
# this takes two hours or so, so write to a temp file and then rename.
@@ -137,13 +156,15 @@ do_tar ()
MAKETAR ()
{
+false # xxdebug
# remove old tarballs and checksums.
rm -f $target/$NAME-*.tar.*
cd $master
- do_tar $NAME-$D-extra LICENSE* README* *.html install* re* \
- tl-portable* tlpkg/TeXLive tlpkg/translations tlpkg/tlpostcode \
- || return
+ do_tar $NAME-$D-extra \
+ LICENSE* README* autorun.inf *.html install* re* \
+ tl-portable* tlpkg/TeXLive tlpkg/translations tlpkg/tlpostcode
+
do_tar $NAME-$D-texmf texmf* || return
cd $master/../Build/source
@@ -159,6 +180,7 @@ MAKETAR ()
# Add our exact version to the release file.
#printf "\ntexlive-$D\n" >>$master/release-texlive.txt
+$makeinst && MAKEINST
$maketar && MAKETAR
#$makelive && MAKELIVE